From: aLeJ <fuzzy.alej@gmail.com>
Subject: [KJ] kernel/module.c use __set_current_state() instead of direct assigment

Use of __set_current_state() instead of direct assigment of
current->state.

Signed-off-by: Alejandro Andres <fuzzy.alej@gmail.com>

---
 module.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: quilt/kernel/module.c
===================================================================
--- quilt.orig/kernel/module.c
+++ quilt/kernel/module.c
@@ -556,7 +556,7 @@ static void wait_for_zero_refcount(struc
 			break;
 		schedule();
 	}
-	current->state = TASK_RUNNING;
+	__set_current_state(TASK_RUNNING);
 	down(&module_mutex);
 }
 
